export interface CreateUserCommand {
  mail: string;
  username: string;
  firstname: string;
  lastname: string;
  secret: string;
}

export interface UpdateUserCommand {
  id: number;
  mail: string;
  username: string;
  firstname: string;
  lastname: string;
}

export interface UpdateUserRolesCommand {
  id: number;
  roleIds: Array<number>;
}

export interface DeleteUserCommand {
  id: number;
}
